Автор Тема: Обновление Iceweasel  (Прочитано 13803 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн qupl

  • Главный модератор
  • Ветеран
  • *****
  • Сообщений: 4826
  • memento mori
  • Jabber: qupl@jabber.ru
Re: Обновление Iceweasel
« Ответ #30 : 26 Декабрь 2013, 06:38:57 »
nk, а update не забыли сделать?

О том же - тема.

Оффлайн nk

  • Пользователь
  • *
  • Сообщений: 31
Re: Обновление Iceweasel
« Ответ #31 : 26 Декабрь 2013, 07:46:03 »
все как здесь http://mozilla.debian.net/
$ apt-get update
$ apt-get install -t wheezy-backports iceweasel

root@cb:~# apt-get install -t wheezy-backports iceweasel
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Уже установлена самая новая версия iceweasel.
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.

(и даже pkg-mozilla-archive-keyring установил)

upd

попробовал добавить в /etc/apt/preferences строчку про backports
Package: *
Pin: release a=waldorf
Pin-Priority: 1001

Package: *
Pin: release a=wheezy
Pin-Priority: 500

Package: *
Pin: release a=wheezy-backports
Pin-Priority: 1000
Пробовал и Pin-Priority: 1000, и 100
- все равно безрезультатно=(
« Последнее редактирование: 26 Декабрь 2013, 07:55:02 от nk »
 

Оффлайн Malaheenee

  • Ветеран
  • *****
  • Сообщений: 2565
  • Учтите, мы можем дать и вредный совет.
Re: Обновление Iceweasel
« Ответ #32 : 26 Декабрь 2013, 10:36:37 »
nk, кажите вывод:
aptititude versions iceweaselВывали он Вам все, что хоть как-то похоже на него, но интересуют первые строчки.
Все мы где-то, когда-то и в чем-то были новичками.
 


Оффлайн nk

  • Пользователь
  • *
  • Сообщений: 31
Re: Обновление Iceweasel
« Ответ #33 : 26 Декабрь 2013, 13:12:15 »
# aptitude versions iceweasel
Package iceweasel:                       
p   17.0.10esr-1~deb7u1                          stable                    500
i   20.0-1                                       waldorf                   1001
p   26.0-1~bpo70+1                               wheezy-backports          500

...

# apt-get install -t wheezy-backports iceweasel
Reading package lists... Done
Building dependency tree       
Reading state information... Done
iceweasel is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 145 not upgraded.

~upd

ага
(не думал что кранч еще и с лисой возится, извиняйте, хмм странно почему они ни как мята или убунту название ее не сохранили)
отредактировал /etc/apt/preferences вот так,

Package: *
Pin: release a=waldorf
Pin-Priority: 100

Package: *
Pin: release a=wheezy
Pin-Priority: 500

... и

# apt-get update
# apt-get install -t wheezy-backports iceweasel
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libmozjs20d xulrunner-20.0
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  libmozjs26d xulrunner-26.0
Suggested packages:
  fonts-stix otf-stix fonts-oflb-asana-math fonts-mathjax mozplugger
The following NEW packages will be installed:
  libmozjs26d xulrunner-26.0
The following packages will be upgraded:
  iceweasel
1 upgraded, 2 newly installed, 0 to remove and 157 not upgraded.
Need to get 24.0 MB of archives.
After this operation, 51.4 MB of additional disk space will be used.
Do you want to continue [Y/n]?

Сейчас вроде нормально все, но это я на Лив-системе пока вот проверил, вечером на своей основной проверю, спасибо!)

если что не так или есть какое-то другое решение поделитесь, попробую, с деб (и подобными) не так знаком
 

Оффлайн Malaheenee

  • Ветеран
  • *****
  • Сообщений: 2565
  • Учтите, мы можем дать и вредный совет.
Re: Обновление Iceweasel
« Ответ #34 : 26 Декабрь 2013, 15:47:54 »
nk, перемудрили. Можно было просто:
aptitude install iceweasel=26.0-1~bpo70+1
Все мы где-то, когда-то и в чем-то были новичками.
 

Оффлайн nk

  • Пользователь
  • *
  • Сообщений: 31
Re: Обновление Iceweasel
« Ответ #35 : 26 Декабрь 2013, 20:46:44 »
Malaheenee, так если так поставить, в дальнейшем же обновления же он будет в итоге с репа у которого выше приоритет тянуть, я прав?

Сообщение объединено: 26 Декабрь 2013, 21:18:37
Так. что-то не пойму , а на домашней не прокатывает, делаю:

...
deb http://mozilla.debian.net/ wheezy-backports iceweasel-release
...

...
Package: *
Pin: release a=wheezy-backports
Pin-Priority: 1500
...

# aptitude update
...

# aptitude versions iceweasel
Пакет iceweasel:                                       
p   17.0.10esr-1~deb7u1                           stable                    500
i   20.0-1                                        waldorf                   1001
p   26.0-1~bpo70+1                                wheezy-backports          1500
...

# apt-get install -t wheezy-backports iceweasel
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Уже установлена самая новая версия iceweasel.
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 31 пакетов не обновлено.


что не так-то?

Сообщение объединено: 26 Декабрь 2013, 21:22:17
а вот все вот так прокатывает,
Package: *
Pin: release a=waldorf
Pin-Priority: 700

Package: *
Pin: release a=wheezy
Pin-Priority: 500

Package: *
Pin: release a=wheezy-backports
Pin-Priority: 1000

# apt-get install -t wheezy-backports iceweasel
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Будут установлены следующие дополнительные пакеты:
  libmozjs26d xulrunner-26.0
Предлагаемые пакеты:
  fonts-oflb-asana-math fonts-mathjax mozplugger
НОВЫЕ пакеты, которые будут установлены:
  libmozjs26d xulrunner-26.0
Пакеты, которые будут обновлены:
  iceweasel
обновлено 1, установлено 2 новых пакетов, для удаления отмечено 0 пакетов, и 31 пакетов не обновлено.
Необходимо скачать 24,0 MБ архивов.
После данной операции, объём занятого дискового пространства возрастёт на 51,4 MB.
Хотите продолжить [Д/н]?

 там выше 1001 что ли больше нет приоритета?
В общем документацию по приоритетам/или как оно там называется, не подкните?(
« Последнее редактирование: 26 Декабрь 2013, 21:25:32 от nk »
 

Оффлайн Malaheenee

  • Ветеран
  • *****
  • Сообщений: 2565
  • Учтите, мы можем дать и вредный совет.
Re: Обновление Iceweasel
« Ответ #36 : 26 Декабрь 2013, 21:45:47 »
Да, там выше 990 уже мало что нужно. ВПолне приоритеты можно отделять друг от друга 10 (990, 980) и даже 1. Классическая вики.
Все мы где-то, когда-то и в чем-то были новичками.
 

Оффлайн Salko

  • Пользователь
  • *
  • Сообщений: 31
    • Hacksongs :)
Re: Обновление Iceweasel
« Ответ #37 : 27 Декабрь 2013, 01:03:40 »
Обновил тоже, все  ОК. Не нравиться только выхлоп проверки gpg: 2 подписей не проверено за отсутствием ключей
Тут написано как это исправить, но на английском. Можете русским языком объяснить? ???
Arch Linux, KDE :)
 

Оффлайн Malaheenee

  • Ветеран
  • *****
  • Сообщений: 2565
  • Учтите, мы можем дать и вредный совет.
Re: Обновление Iceweasel
« Ответ #38 : 27 Декабрь 2013, 10:18:59 »
Добавить их ключ можно так:
wget -q http://mozilla.debian.net/archive.asc -O- | sudo apt-key add -А можно просто скачать и установить пакет.
Все мы где-то, когда-то и в чем-то были новичками.
 

Оффлайн Salko

  • Пользователь
  • *
  • Сообщений: 31
    • Hacksongs :)
Re: Обновление Iceweasel
« Ответ #39 : 28 Декабрь 2013, 09:41:10 »
Пакет устанавливал, команду эту тоже сейчас выполнил. Результат тот-же:
Цитировать
gpg --check-sigs --fingerprint --keyring /etc/apt/trusted.gpg.d/pkg-mozilla-archive-keyring.gpg --keyring /usr/share/keyrings/debian-keyring.gpg pkg-mozilla-maintainers
Цитировать
2 подписей не проверено за отсутствием ключей

Arch Linux, KDE :)
 

Оффлайн nk

  • Пользователь
  • *
  • Сообщений: 31
Re: Обновление Iceweasel
« Ответ #40 : 29 Декабрь 2013, 05:05:46 »
после установки ключа `aptitude update` делали?
И показали бы полный вывод с этим недоразумением на счет этих 2 ключей
 

Оффлайн Salko

  • Пользователь
  • *
  • Сообщений: 31
    • Hacksongs :)
Re: Обновление Iceweasel
« Ответ #41 : 29 Декабрь 2013, 06:09:33 »
nk, делал. Что под юзером без рута, что с рутом:
Цитировать
# gpg --check-sigs --fingerprint --keyring /etc/apt/trusted.gpg.d/pkg-mozilla-archive-keyring.gpg --keyring /usr/share/keyrings/debian-keyring.gpg pkg-mozilla-maintainers
gpg: keyblock resource `/usr/share/keyrings/debian-keyring.gpg': ошибка открытия файла
pub   4096R/06C4AE2A 2010-11-20 [годен до: 2019-11-13]
Отпечаток ключа = 85F0 6FBC 75E0 67C3 F305  C3C9 85A3 D265 06C4 AE2A
uid                  Debian Mozilla team APT archive <pkg-mozilla-maintainers@lists.alioth.debian.org>
sig!3        06C4AE2A 2012-11-14  Debian Mozilla team APT archive <pkg-mozilla-maintainers@lists.alioth.debian.org>

2 подписей не проверено за отсутствием ключей
Arch Linux, KDE :)
 

Теги:
 

Обновление до 6.01 [РЕШЕНО]

Автор alastor

Ответов: 7
Просмотров: 2494
Последний ответ 29 Апрель 2011, 23:47:06
от alastor
Обновление до Debian 'stretch'

Автор Лесьяр

Ответов: 32
Просмотров: 7106
Последний ответ 12 Октябрь 2017, 18:08:09
от R0Ver
Устаревшая видеокарта и Jessie. Частичное обновление.

Автор EVasilyev

Ответов: 18
Просмотров: 2572
Последний ответ 28 Май 2015, 12:55:59
от EVasilyev
Перенесено: Обновление ядра debian 10

Автор qupl

Ответов: 0
Просмотров: 1114
Последний ответ 18 Март 2020, 12:25:48
от qupl
Вопрос про 8 DVD + 2 диска на обновление.

Автор mhn

Ответов: 3
Просмотров: 1852
Последний ответ 12 Июль 2011, 00:09:57
от paulcarroty